API References v20
Users
/getAllUserRoles
1 min
POST
/getAllUserRoles
Retrieve all user role data signed by cold and MPC.
Request Example:
.. code-block::
getAllUserRoles()
Response Example:
.. code-block::
{
"FunctionData": {
"ColdSnapshotId": "1775814248301567709",
"MpcSnapshotId": "1776022595754105948",
"MpcUsersRoleData": [
{
"UserRoleDataSignedByMpc": {
"CanApproveTransactions": true,
"CanCompleteMultisigTransactions": false,
"CanEditContacts": true,
"Created": {
"User": "System"
},
"HasMinaAccess": false,
"IsAdminRole": true,
"IsComplianceOfficer": true,
"LastUpdated": {
"User": {
"Email": "[email protected]",
"FullName": "Dani2 Dani2"
}
},
"MpcAmountLimits": "100000",
"MpcFeeLimits": "100000",
"RoleId": "1",
"RoleLimitsByFrequency": 0,
"RoleName": "Quorum admin",
"Time": "2026-04-12 19:36:35.754",
"Users": [
{
"Email": "[email protected]",
"FullName": "11 11",
"ID": "[email protected]"
},
{
"Email": "[email protected]",
"FullName": "22 22",
"ID": "[email protected]"
},
{
"Email": "[email protected]",
"FullName": "amit2 amit",
"ID": "[email protected]"
},
{
"Email": "[email protected]",
"FullName": "api api",
"ID": "[email protected]"
},
{
"Email": "[email protected]",
"FullName": "Daniel2 Daniel2",
"ID": "[email protected]"
},
{
"Email": "[email protected]",
"FullName": "Daniel Tarlow",
"ID": "[email protected]"
},
{
"Email": "[email protected]",
"FullName": "Elad Safdieh",
"ID": "[email protected]"
},
{
"Email": "[email protected]",
"FullName": "leon leonm",
"ID": "[email protected]"
},
{
"Email": "[email protected]",
"FullName": "Noam Noam",
"ID": "[email protected]"
},
{
"Email": "[email protected]",
"FullName": "Roie Roie",
"ID": "[email protected]"
}
]
}
},
{
"UserRoleDataSignedByMpc": {
"CanApproveTransactions": false,
"CanCompleteMultisigTransactions": false,
"CanEditContacts": false,
"Created": {
"User": "System"
},
"HasMinaAccess": false,
"IsAdminRole": false,
"IsComplianceOfficer": false,
"LastUpdated": {
"User": {
"Email": "[email protected]",
"FullName": "Dani2 Dani2"
}
},
"MpcAmountLimits": "0",
"MpcFeeLimits": "0",
"RoleId": "2",
"RoleLimitsByFrequency": 0,
"RoleName": "Default role",
"Time": "2026-04-12 19:36:35.754",
"Users": [
{
"Email": "[email protected]",
"FullName": "nir sade",
"ID": "[email protected]"
},
{
"Email": "[email protected]",
"FullName": "kapulski bark",
"ID": "[email protected]"
},
{
"Email": "[email protected]",
"FullName": "barak dahouki",
"ID": "[email protected]"
}
]
}
},
{
"UserRoleDataSignedByMpc": {
"CanApproveTransactions": true,
"CanCompleteMultisigTransactions": false,
"CanEditContacts": false,
"Created": {
"User": "System"
},
"HasMinaAccess": false,
"IsAdminRole": true,
"IsComplianceOfficer": true,
"LastUpdated": {
"User": {
"Email": "[email protected]",
"FullName": "Dani2 Dani2"
}
},
"MpcAmountLimits": "9999999999",
"MpcFeeLimits": "10000",
"RoleId": "8",
"RoleLimitsByFrequency": 0,
"RoleName": "Compliance officer",
"Time": "2026-04-12 19:36:35.754",
"Users": [
{
"Email": "[email protected]",
"FullName": "Dani2 Dani2",
"ID": "[email protected]"
}
]
}
}
],
"UsersRoleData": [
{
"UserRoleDataSignedByCold": {
"CanApproveTransactions": true,
"CanCompleteMultisigTransactions": false,
"CanEditContacts": true,
"ColdAmountLimits": "1000000",
"ColdFeeLimits": "1000000",
"Created": {
"Time": "2025-09-29 09:31:52",
"User": "System"
},
"HasMinaAccess": false,
"IsAdminRole": true,
"IsComplianceOfficer": false,
"LastUpdated": {
"Time": "2025-11-27 09:36:35",
"User": {
"Email": "[email protected]",
"FullName": "Dani2 Dani2"
}
},
"MpcAmountLimits": "1000000",
"MpcFeeLimits": "1000000",
"RoleId": "1",
"RoleLimitsByFrequency": 0,
"RoleName": "Quorum admin",
"Time": "2026-04-10 09:44:08.483",
"Users": [
{
"Email": "[email protected]",
"FullName": "11 11",
"ID": "[email protected]"
},
{
"Email": "[email protected]",
"FullName": "22 22",
"ID": "[email protected]"
},
{
"Email": "[email protected]",
"FullName": "Amit Cohen",
"ID": "[email protected]"
},
{
"Email": "[email protected]",
"FullName": "api api",
"ID": "[email protected]"
},
{
"Email": "[email protected]",
"FullName": "barak dahouki",
"ID": "[email protected]"
},
{
"Email": "[email protected]",
"FullName": "Dani2 Dani2",
"ID": "[email protected]"
},
{
"Email": "[email protected]",
"FullName": "Daniel Tarlow",
"ID": "[email protected]"
},
{
"Email": "[email protected]",
"FullName": "Elad Safdieh",
"ID": "[email protected]"
},
{
"Email": "[email protected]",
"FullName": "leon leonm",
"ID": "[email protected]"
},
{
"Email": "[email protected]",
"FullName": "Noam Noam",
"ID": "[email protected]"
}
]
}
},
{
"UserRoleDataSignedByCold": {
"CanApproveTransactions": true,
"CanCompleteMultisigTransactions": false,
"CanEditContacts": true,
"ColdAmountLimits": "9999999999",
"ColdFeeLimits": "10000",
"Created": {
"Time": "2025-09-29 09:31:52",
"User": "System"
},
"HasMinaAccess": false,
"IsAdminRole": false,
"IsComplianceOfficer": false,
"LastUpdated": {
"Time": "2025-11-27 08:50:55",
"User": {
"Email": "[email protected]",
"FullName": "Dani2 Dani2"
}
},
"MpcAmountLimits": "9999999999",
"MpcFeeLimits": "10000",
"RoleId": "6",
"RoleLimitsByFrequency": 0,
"RoleName": "Approving editor",
"Time": "2026-04-10 09:44:08.483",
"Users": [
{
"Email": "[email protected]",
"FullName": "DS Tar",
"ID": "[email protected]"
}
]
}
},
{
"UserRoleDataSignedByCold": {
"CanApproveTransactions": true,
"CanCompleteMultisigTransactions": false,
"CanEditContacts": false,
"ColdAmountLimits": "9999999999",
"ColdFeeLimits": "10000",
"Created": {
"Time": "2025-09-29 09:31:52",
"User": "System"
},
"HasMinaAccess": false,
"IsAdminRole": false,
"IsComplianceOfficer": true,
"LastUpdated": {
"Time": "2025-09-29 09:31:52",
"User": "System"
},
"MpcAmountLimits": "9999999999",
"MpcFeeLimits": "10000",
"RoleId": "8",
"RoleLimitsByFrequency": 0,
"RoleName": "Compliance officer",
"Time": "2026-04-10 09:44:08.483",
"Users": []
}
}
]
},
"Meta": {
"AccessToken": "58f08df6e369fa4d126e1ba5c7f66cf85c9c79df32d05fee8f3c542121c87cf5",
"Destination": "044fd7dc60304b8aceeb662ce41bf9d9cc132278c0871c0a72fb4f3cecbabb25a86e43ae28dab21a95c64e2db76abdcfffb9bfdeec67a21399cfa5f555f01d054b",
"Source": "be1f60e490b8ccabcc02a4595817b8edf45905d24944e87b8e3cae27f158df63843bfc4b09d37a5e752017b74ea2d136af272bea210f059e768e1ea8777aaf21e9",
"Time": "2025-10-19 15:04:13.129"
}
}
acceptstringGenerated from available response content types
bodyobject
200success
curl --request POST \
--url /getAllUserRoles \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
"Meta": {
"FunctionName": "getAllUserRolesRequest",
"RandomData": "288cd49d4b8bf00e7d6114b78d5668d5581d6b953fafef779133caa844cd4229",
"Destination": "b9cb8afe52f1d52521cf2b62dfe12146156ad5328f83c62c20c7da81b263356a61340de745c858998544c041798b01c2f4fac31bebe52a19280a32cd57d6d374ea",
"Time": "2021-02-07T18:37:46.948Z",
"Source": "048b99461a70a49abe63fd585cb224177a22a92d2e9e4ddfbc0027887bee9d1843388f42a3eb2e740565e115ad8b7981abf59e3b03b771f4b063b53c517d7a9d99",
"AccessToken": "51311c84d2c8fd2fafbe56ceb1fb30a99d3417abfc55769577338ab286798087"
}
}'